#!/bin/bash

set -euo pipefail
IFS=$'\n\t'

DIR="${0%/*}"
docker rm -f nextcloud
docker run -d --name=nextcloud -p 8080:80 -v "${PWD}:/var/www/html/custom_apps/upschooling" docker.io/nextcloud
docker exec nextcloud chown -R 33 /var/www/html/custom_apps
docker exec nextcloud chmod -R ug+rw /var/www/html/custom_apps
docker exec --user 33 nextcloud bash -c 'cd /var/www/html/custom_apps/upschooling && make'
docker exec --user 33 nextcloud php occ maintenance:install --database "sqlite" --admin-user "admin" --admin-pass "admin"
docker exec --user 33 nextcloud php occ config:system:set --value=true --type=boolean debug
docker exec --user 33 nextcloud php occ app:enable --force upschooling


